Автор Тема: pdfjam ERROR: LaTeX package everyshi.sty not installed (see the pdfpages manual)  (Прочитано 1331 раз)

Оффлайн eugrus

  • Начинающий
  • *
  • Сообщений: 13
pdfjam установлен в составе пакета texlive-extra-utils из реп p10.

При попытке что-то при помощи pdfjam сделать (как и просто при вызове без аргументов) выдаёт такую ошибку:
pdfjam ERROR: LaTeX package everyshi.sty not installed (see the pdfpages manual)

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 32 303
  • Учиться .... Телепатами не рождаются, ими ....
    • Email

Оффлайн eugrus

  • Начинающий
  • *
  • Сообщений: 13
https://www.linux.org.ru/forum/general/17133380

Т.к. вопрос к репам конкретно Альта, то повторю здесь:

А можно просто из реп как-то поставить всё нужное для работоспособности pdfjam?

Я всего-то планирую сделать нечто вроде for file in *.pdf; do pdfjam --offset "0cm 1cm" "$file" -o "$file.printready"; done и не планирую писать непосредственно на LaTeX.

После скачивания everyshi.sty дальше упирается в отсутствие dehypht.tex.

Оффлайн eugrus

  • Начинающий
  • *
  • Сообщений: 13
pdftk так похоже вообще выпилили из реп p10

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 19 962
    • Домашняя страница
    • Email
https://www.linux.org.ru/forum/general/17133380

Т.к. вопрос к репам конкретно Альта, то повторю здесь:

А можно просто из реп как-то поставить всё нужное для работоспособности pdfjam?

Я всего-то планирую сделать нечто вроде for file in *.pdf; do pdfjam --offset "0cm 1cm" "$file" -o "$file.printready"; done и не планирую писать непосредственно на LaTeX.

После скачивания everyshi.sty дальше упирается в отсутствие dehypht.tex.
/usr/share/tcl/tcllib1.21/textutil/dehypht.tex  tcllib
/usr/share/texmf-dist/tex/generic/dehyph/dehypht.tex    texlive-dist
Андрей Черепанов (cas@)

Оффлайн eugrus

  • Начинающий
  • *
  • Сообщений: 13
Спасибо! Похоже, они уже установились, когда я делал apt-get install pdftk* (сам pdftk нет) и pdfjam теперь работает.